##############################################################################
#
# Copyright (c) 2005 Zope Corporation and Contributors. All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""PageTemplate export / import support unit tests.

$Id: test_exportimport.py 68119 2006-05-13 07:58:14Z rafrombrc $
"""

import unittest
import Testing

from Products.Five import zcml

from Products.GenericSetup.testing import BodyAdapterTestCase


_PAGETEMPLATE_BODY = """\
<html>
  <div>Foo</div>
</html>
"""


class PageTemplateBodyAdapterTests(BodyAdapterTestCase):

    def _getTargetClass(self):
        from Products.GenericSetup.PageTemplates.exportimport \
                import PageTemplateBodyAdapter

        return PageTemplateBodyAdapter

    def _populate(self, obj):
        obj.write(_PAGETEMPLATE_BODY)

    def setUp(self):
        import Products.GenericSetup.PageTemplates
        from Products.PageTemplates.PageTemplate import PageTemplate

        BodyAdapterTestCase.setUp(self)
        zcml.load_config('configure.zcml',
                         Products.GenericSetup.PageTemplates)

        self._obj = PageTemplate('foo_template')
        self._obj.meta_type = 'Page Template'
        self._BODY = _PAGETEMPLATE_BODY


def test_suite():
    return unittest.TestSuite((
        unittest.makeSuite(PageTemplateBodyAdapterTests),
        ))

if __name__ == '__main__':
    unittest.main(defaultTest='test_suite')
